<div fxLayout="row" fxLayoutWrap="wrap">
    <!-- column -->
    <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
        <mat-card>
            <mat-card-title>{{ 'dashboard.title' | translate }}</mat-card-title>
            <mat-card-content>
                <div class="mb-20" fxflex="" fxlayout="row" fxlayout.lt-md="column" fxlayoutgap="20px" style="flex-direction: row; box-sizing: border-box; display: flex; flex: 1 1 0%;">
                    <div fxFlex style="margin-right: 20px; flex: 1 1 0%; box-sizing: border-box;">
                        <veh-dashboard [bgClass]="'danger'" [icon]="'location_on'" [count]="conCount" [label]="'Connected'"></veh-dashboard>
                    </div>
                    <div fxFlex style="margin-right: 20px; flex: 1 1 0%; box-sizing: border-box;">
                        <veh-dashboard [bgClass]="'warn'" [icon]="'location_off'" [count]="disconCount" [label]="'Disconnected'"></veh-dashboard>
                    </div>
                    <div fxFlex style="margin-right: 20px; flex: 1 1 0%; box-sizing: border-box;">
                        <veh-dashboard [bgClass]="'success'" [icon]="'invert_colors_off'" [count]="oilCount" [label]="'Oil check'"></veh-dashboard>
                    </div>
                    <div fxFlex style="margin-right: 20px; flex: 1 1 0%; box-sizing: border-box;">
                        <veh-dashboard [bgClass]="'info'" [icon]="'disc_full'" [count]="engCount" [label]="'Engine issue'"></veh-dashboard>
                    </div>
                </div>
            </mat-card-content>
        </mat-card>

    </div>
</div>